### Method

# Gtk LockButtonget_permission

deprecated: 4.10

#### Declaration [src]

    GPermission*
    gtk_lock_button_get_permission (
      GtkLockButton* button
    )

#### Description [src]

Obtains the `GPermission` object that controls `button`.

Deprecated since: 4.10

This widget will be removed in GTK 5

Gets property | `Gtk.LockButton:permission`

#### Return value

Type: `GPermission`

The `GPermission` of `button`.

The data is owned by the instance.
The return value can be `NULL`.